Intel® Fortran Compiler
Build applications that can scale for the future with optimized code designed for Intel® Xeon® and compatible processors.
Announcements
Welcome to the Intel Community. If you get an answer you like, please mark it as an Accepted Solution to help others. Thank you!
26729 Discussions

xcode8.2 is incompatible with fortran compiler

kun_j_
Beginner
108 Views

Hi,

I updated the Xcode to version 8.2 and I found that I can not find the intel fortran compiler in the 'Build Rules'. Is it a common phenomenon? Do you plan to do a update 2 to fix it? Or what can I do to fix it by myself?

Thanks

 

0 Kudos
5 Replies
Kevin_D_Intel
Employee
108 Views

What version of macOS and Intel Fortran compiler are you using?
Did you reinstall the Intel compiler after updating to Xcode 8.2?

It is possible additional changes are needed to support Xcode 8.2, I'm checking. Our latest PSXE 2017 Update 1 only formally added support for Xcode 8.0.

kun_j_
Beginner
108 Views

Hi, Kevin

 

 

It is macOS Sierra, Version 10.12.2. The intel Fortran compiler version is PSXE 2017 update 1. At the beginning, the version of Xcode is 8.0, and the compiler works well. But When I updated it to 8.2.1, the 'Fortran source files using Script' in 'Build Rules' do not contain the intel fortran compiler option ever. I have tried to reinstall the Intel compiler, but it do not work.

By the way, I find someone is meeting the same problem with me in Intel C++ form https://software.intel.com/en-us/forums/intel-c-compiler/topic/705995 so it looks like a common problem with Xcode 8.2.

Thank You

 

 

 

Kevin_D_Intel
Employee
108 Views

Thank you. I believe we have changes upcoming in our PSXE 2017 Update 2 next month for Xcode 8.2 support. I haven't received confirmation of that yet, but will let you know.

If there's no hard requirement for Xcode 8.2, you might consider reverting back to Xcode 8.0 or 8.1 for a short time until we officially announce Xcode 8.2 support.

Our apologies for the inconvenience.

Kevin_D_Intel
Employee
108 Views

Development has confirmed. We do have specific changes coming in our PSXE 2017 Update 2 to support Xcode 8.2. They also could not advise on an easy way to manually integrate our product into Xcode 8.2 so please revert to the earlier supported Xcode 8.0/8.1 for a short time.

kun_j_
Beginner
108 Views

Thank you Kevin. I appreciate your help and suggestion a lot.  :-)

Kevin D (Intel) wrote:

Development has confirmed. We do have specific changes coming in our PSXE 2017 Update 2 to support Xcode 8.2. They also could not advise on an easy way to manually integrate our product into Xcode 8.2 so please revert to the earlier supported Xcode 8.0/8.1 for a short time.

 

 

 

Reply